package com.goldenwater.slaj.acci.service;

import java.util.List;
import com.goldenwater.slaj.acci.domain.ObjAcci;

/**
 * 事故对象 服务层
 */
public interface IObjAcciService {

    /**
     * 查询事故对象信息
     * @param guid 查询条件
     * @return 事故对象信息
     */
    ObjAcci selectObjAcciByGuid(String guid);

    /**
     * 查询事故对象列表
     * @param objAcci 事故对象查询条件
     * @return 事故对象集合
     */
    List<ObjAcci> selectObjAcciList(ObjAcci objAcci);

    /**
     * 新增事故对象
     * @param objAcci 事故对象信息
     * @return 影响行数
     */
    int insertObjAcci(ObjAcci objAcci);

    /**
     * 修改事故对象
     * @param objAcci 事故对象信息
     * @return 影响行数
     */
    int updateObjAcci(ObjAcci objAcci);

    /**
     * 删除事故对象
     * @param guid 事故对象主键
     * @return 影响行数
     */
    int deleteObjAcciByGuid(String guid);

    /**
     * 批量删除事故对象
     * @param guids 事故对象主键数组
     * @return 影响行数
     */
    int deleteObjAcciByGuids(String[] guids);
}
